package hellogwt.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.TextBox;

public class Calculator implements EntryPoint {
	@Override
	public void onModuleLoad() {
		final TextBox numberText1 = new TextBox();
		final TextBox numberText2 = new TextBox();
		final Label resultLabel = new Label();
		Button executeButton = new Button("計算");

		HorizontalPanel container = new HorizontalPanel();
		container.add(numberText1);
		container.add(new Label("+"));
		container.add(numberText2);
		container.add(new Label("="));
		container.add(resultLabel);
		container.add(executeButton);

		RootPanel.get().add(container);

		final CalculatorServiceAsync service = GWT
				.create(CalculatorService.class);
		executeButton.addClickHandler(new ClickHandler() {
			@Override
			public void onClick(ClickEvent event) {
				int a = Integer.parseInt(numberText1.getValue());
				int b = Integer.parseInt(numberText2.getValue());
				service.add(a, b, new AsyncCallback<Integer>() {
					@Override
					public void onSuccess(Integer result) {
						resultLabel.setText(result.toString());
					}

					@Override
					public void onFailure(Throwable caught) {
					}
				});
			}
		});
	}
}
